<?php
/*
 *  This file is part of open3A.

 *  open3A is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.

 *  open3A is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *  2007, 2008, 2009, 2010, Rainer Furtmeier - Rainer@Furtmeier.de
 */
class Auftraege extends anyC implements iPluginSpecificRestrictions {
	function __construct() {
		$this->setCollectionOf("Auftrag");
		#$this->collectionOf = "Auftrag";
		#$this->addJoinV3("GRLBM","isR","=","1");
		#$this->addJoinV3("Adresse","AdresseID","=","AdresseID");
		#$this->addJoinCondition("GRLBM","isR","1");
	}
	
	function getPluginSpecificRestrictions(){
		$a = array("pluginSpecificCanSetPayed" => "kann Rechnungen als bezahlt/storniert markieren","pluginSpecificCanOnlyEditOwn" => "kann nur eigene Aufträge bearbeiten", "pluginSpecificCanOnlySeeKalk" => "kann nur Kalkulation benutzen");
		$Us = new Users();
		$Us->addAssocV3("isAdmin","=","0");
		while(($t = $Us->getNextEntry()))
			$a["pluginSpecificCanSeeAuftraegeFrom".$t->getID()] = "sieht Aufträge von ".$t->getA()->username;
		return $a;
	}
}
?>
