<?php
/*
 *  This file is part of open3A.

 *  open3A is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.

 *  open3A is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *  2007, 2008, 2009, 2010, Rainer Furtmeier - Rainer@Furtmeier.de
 */
class mGRLBMGUI extends GRLBMsGUI {
	function __construct($id = "") {

		if($id == -2) $this->loadOldId = true;
		
		$bps = $this->getMyBPSData();
		#print_r($bps);
		#echo (get_class($this))."<br />";
		$this->type = $bps["type"];
		
		parent::__construct();
		
		if($this->type == "G" OR $this->type == "A" OR $this->type == "R" OR $this->type == "L") $this->addAssocV3("is$this->type","=","1");
		else if($this->type != -1) $this->addAssocV3("isWhat","=",$this->type);
		
		if($this->type != -1) $this->gui->setName(Stammdaten::getLongType($this->type));
		#if($this->collector != null) $gui->setAttributes($this->collector);
		if($this->type != -1) $this->gui->setCollectionOf("GRLBM",Stammdaten::getLongType($this->type));
	}
	
	function cloneAllToAuftrag($AuftragID){
		$this->addAssocV3("AuftragID","=",$AuftragID);

		while(($t = $this->getNextEntry()))
			$t->cloneMe();
	}
}
?>
