<?php
/*
 *  This file is part of open3A.

 *  open3A is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.

 *  open3A is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *  2007, 2008, 2009, 2010, Rainer Furtmeier - Rainer@Furtmeier.de
 */
class Kategorie extends PersistentObject implements iCloneable, iNewWithValues, iDeletable {
	public function getA(){
		if($this->A == null) $this->loadMe();
		return $this->A;
	}
	
	public function cloneMe(){
		echo $this->newMe();
	}
	
	public function newMe($checkUserdata = true, $output = false){
		if($this->A->type == "mwst")
			$this->A->name = Util::formatNumber("de_DE",Util::CLNumberParser(str_replace("%","",$this->A->name), "store"))."%";

		return parent::newMe($checkUserdata, $output);
	}
	
	public function loadMe(){
		parent::loadMe();
		
		if($this->A != null AND $this->A->type == "mwst")
			$this->A->name = Util::CLNumberParser(Util::parseFloat("de_DE",str_replace("%","",$this->A->name)),"load")."%";
			#Util::CLNumberParser($this->A->name,"load")."%";
	}
	
	public function saveMe($checkUserdata = true, $output = false){
		if($this->A->type == "mwst")
			$this->A->name = Util::formatNumber("de_DE",Util::CLNumberParser(str_replace("%","",$this->A->name), "store"))."%";
		
		parent::saveMe($checkUserdata, $output);
	}
}
?>
