<?php
/*
 *  This file is part of open3A.

 *  open3A is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.

 *  open3A is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *  2007, 2008, 2009, 2010, Rainer Furtmeier - Rainer@Furtmeier.de
 */
class KategorienPlugin extends PluginV2 implements iPluginV2  {

	function registerName() {
		return "Kategorien";
	}
	
	function registerIcon(){
		return "./images/navi/manager.png";
	}
	
	function registerFolder() {
		return "Kategorien";
	}
	
	function registerClassName() {
		return "Kategorien";
	}
	
	function doSomethingElse(){
		#try {
			$k = new Kategorien();
			$k->addKategorie("bitte auswählen","0");
			$k->addKategorie("Adressen","1");
			$k->addKategorie("Artikel","2");
			$k->addKategorie("Mehrwertsteuer","mwst");
		#} catch (ClassNotFoundException $e) {}
	}
	
	function registerVersion(){
		return "1.3";
	}
}
?>
