<?php
/*
 *  This file is part of open3A.

 *  open3A is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.

 *  open3A is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *  2007, 2008, 2009, 2010, Rainer Furtmeier - Rainer@Furtmeier.de
 */
class TextbausteinePlugin extends PluginV2 implements iPluginV2 {
	function registerName() {
		return "Textbausteine";
	}
	
	function registerIcon(){
		return "./images/navi/document.png";
	}
	
	function registerFolder() {
		return "Textbausteine";
	}
	
	function registerClassName() {
		return "Textbausteine";
	}
	
	function registerJavascriptFile(){
		return "Textbausteine.js";
	}
	
	function doSomethingElse(){
		$k = new Textbausteine();
		$k->addTBKategorie("Zahlungsbedingungen","1");
		$k->addTBKategorie("Textbaustein oben","2");
		$k->addTBKategorie("Textbaustein unten","3");
		$k->addTBKategorie("E-Mail Betreff","41");
		$k->addTBKategorie("E-Mail Text","42");
		
		$k->addTBVariables("1",array("Anrede","+1Woche","+2Wochen","+3Wochen","+1Monat", "Gesamtsumme","Rabatt:#%", "Benutzername"));
		$k->addTBVariables("2",array("Anrede","+1Woche","+2Wochen","+3Wochen","+1Monat","Benutzername"));
		$k->addTBVariables("3",array("Anrede","+1Woche","+2Wochen","+3Wochen","+1Monat", "Gesamtsumme","Rabatt:#%","Benutzername"));
		
		$k->addTBVariables("41",array("Firmenname","Rechnungsnummer","Rechnungsdatum"));
		$k->addTBVariables("42",array("Anrede","Firmenname","Benutzername","Rechnungsnummer","Rechnungsdatum"));
		
	}
	
	function registerVersion(){
		return "1.3";
	}
}
?>
