<?php
/*
 *  This file is part of phynx.

 *  phynx is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.

 *  phynx is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *  2007, 2008, 2009, 2010, Rainer Furtmeier - Rainer@Furtmeier.de
 */
class mInstallation extends anyC {
	private $folder = "./system/DBData/";
	
	function __construct() {
		$this->collectionOf = "Installation";
		$this->storage = "phpFileDB";
	}

	protected function updateAllTables(){
			$p = array_flip($_SESSION["CurrentAppPlugins"]->getAllPlugins());
			
			echo "
			<div class=\"backgroundColor1 Tab\"><p>Tabellen-Updates:</p></div>
			<table>
				<colgroup>
					<col style=\"width:120px;\" class=\"backgroundColor2\">
					<col class=\"backgroundColor3\">
				</colgroup>";
				foreach($p as $key => $value){
				try {
					if(method_exists($_SESSION["CurrentAppPlugins"], "isPluginGeneric") AND $_SESSION["CurrentAppPlugins"]->isPluginGeneric($key)){
						$c = new mGenericGUI('', $key);
					} else {
						$c = new $key();
						#$className = $key;
					}
				} catch (ClassNotFoundException $e){
					$key2 = $key."GUI";
					
					try {
						$c = new $key2();
						#$className = $key2;
					} catch (ClassNotFoundException $e2){
						#echo $key." nicht gefunden";
						continue;
					}
				}

				if($key == "CIs") continue;

				#$c = new $className();
				echo "
				<tr>
					<td style=\"text-align:right;\">".$value.":</td><td>";
				if($c->checkIfMyTableExists() AND $c->checkIfMyDBFileExists()){
					$c->checkMyTables();
				} else echo "keine Tabelle(n) / keine DB-Info-Datei";
				echo "
					</td>
				</tr>";
			}
			echo "
			</table>";
	}
	
	function changeFolder($newFolder){
		$this->folder = $newFolder;
	}
	
	function loadAdapter(){
		parent::loadAdapter();
		if(is_file($this->folder."Installation.pfdb.php")) $this->Adapter->setDBFolder($this->folder);
		else $this->Adapter->setDBFolder(".".$this->folder);
	}
}
?>
