<?php
/*
 *  This file is part of phynx.

 *  phynx is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.

 *  phynx is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *  2007, 2008, 2009, 2010, Rainer Furtmeier - Rainer@Furtmeier.de
 */
class propertyC extends anyC {
	#public $viewOnly = false;
	
	protected $ownerClassName;
	protected $ownerClassID;
	protected $compactLayout = false;

	protected $targetClassName;
	protected $buttonLabel;
	protected $buttonIcon;

	
	protected $showAttributes = null;
	
	protected $GUI;

	/*protected $C;

	protected $tableLabel = null;*/

	protected $allowDelete = true;

	#protected $valuesClass = "Kategorie";
	#protected $kategorieTyp;
	#public $tableLabel;
	
	
	
	public function __construct(){
		$this->GUI = new HTMLGUI();
	}
	
	public function setOwner($className, $classID){
		$this->ownerClassID = $classID;
		$this->ownerClassName = $className;
	}
	
	public function setTarget($className){
		$this->targetClassName = $className;
	}
	
	public function setValuesClass($valuesClass){
		$this->valuesClass = $valuesClass;
	}

	public function setButton($label, $icon){
		$this->buttonLabel = $label;
		$this->buttonIcon = $icon;
	}

	public function setShownAttributes($sa){
		$this->showAttributes = $sa;
	}
	
	/**
	 * @return HTMLGUI
	 */
	public function getGUI(){
		return $this->GUI;
	}
	/*
	protected function loadC(){
		$n = "m".$this->targetClassName."GUI";
		if($this->targetClassName == "Kategorie")
			$n = "KategorienGUI";
			
		$K = new $n();
		$K->addJoinV3($this->collectionOf, $this->targetClassName."ID","=",$this->collectionOf."TargetClassID");
		$K->addJoinV3($this->collectionOf, $this->collectionOf."TargetClass","=",$this->targetClassName);
		
		$K->addJoinV3($this->collectionOf, $this->collectionOf."OwnerClass","=",$this->ownerClassName);
		$K->addJoinV3($this->collectionOf, $this->collectionOf."OwnerClassID","=",$this->ownerClassID);
		
		#$K->addJoinV3($this->collectionOf, $this->className."ID", "=", $this->collectionOf."ClassID");
		#$K->addJoinV3($this->collectionOf, $this->collectionOf."Class", "=", $this->className);
		$this->C = $K;
	}
	*/
	/**
	 * @return anyC
	 */
	public function getC(){
		if($this->C == null) $this->loadC();
		return $this->C;
	}
	
	public function getHTML($id, $page){
		if(!$this->compactLayout){
			/*$this->addAssocV3($this->collectionOf."Class","=",$this->ownerClassName);
			$this->addAssocV3($this->collectionOf."ClassID","=",$this->ownerClassID);
			
			$this->lCV3($id);
			
			$gui = new HTMLGUI();
			$gui->setName($this->tableLabel != null ? $this-> tableLabel : $this->collectionOf);
			$gui->setAttributes($this->collector);
			$gui->setCollectionOf($this->collectionOf);
			
			$gui->setIsDisplayMode(true);
			if(!$this->viewOnly) $gui->setDeleteInDisplayMode(true);
			
			if($this->showAttributes != null)
				$gui->setShowAttributes($this->showAttributes);
			
			$gui->setJSEvent("onDelete","function() { reloadLeftFrame(); }");
			
			#$B = new Button($this->buttonLabel, $this->buttonIcon);
			#$B->onclick("loadFrameV2('contentRight','m$this->collectionOf','_{$this->collectionOf}GUI;className:$this->ownerClassName;classID:$this->ownerClassID');");
	
			$t = new HTMLTable(1);
			
			if($this->ownerClassID != null) $t->addRow($B);
			
			try {
				return $t->getHTML().$gui->getBrowserHTML($id);
			} catch (Exception $e){ echo $e; }*/


			$this->addAssocV3($this->collectionOf."OwnerClass", "=", $this->ownerClassName);
			$this->addAssocV3($this->collectionOf."OwnerClassID", "=", $this->ownerClassID);

			$gui = $this->GUI;

			$this->lCV3($id);

			if($this->showAttributes != null)
				$gui->setShowAttributes($this->showAttributes);
		
			$gui->setName("Hotel");
			$gui->setObject($this);

			$gui->setJSEvent("onDelete","function() { reloadLeftFrame(); }");

			$B = new Button($this->buttonLabel, $this->buttonIcon);
			$B->select(false, "m".$this->targetClassName, $this->ownerClassName, $this->ownerClassID, "add".$this->targetClassName);


			$tab = new HTMLTable(1);
			$tab->addRow($B);

			$gui->setIsDisplayMode(true);
			if($this->allowDelete) $gui->setDeleteInDisplayMode(true);

			try {
				return $tab.$gui->getBrowserHTML($id);
			} catch (Exception $e){ }

		} else {
			if($this->C == null) $this->loadC();
			$K = $this->C;
		
			#$_SESSION["BPS"]->setActualClass("{$this->collectionOf}GUI");
			#$_SESSION["BPS"]->setACProperty("className", $this->className);
			#$_SESSION["BPS"]->setACProperty("className".$this->className, $this->className);
			#$_SESSION["BPS"]->setACProperty("classID", $this->ownerClassID);

			/*if($this->valuesClass == "Kategorie") {
				foreach($this->kategorieTyp as $k => $v)
					$K->addAssocV3("type","=",$v);
			}*/
			
			return $this->getSelectorHTML($K);
		}
	}
	
	/*public function getSelectorHTML($collection){

		$gui = $this->GUI;
		
		$collection->lCV3(-1);
		
		#if($this->collector != null) $gui->setAttributes($this->collector);
		$gui->setObject($collection);
		$gui->setCollectionOf($this->targetClassName);
		
		$gui->setIsDisplayMode(true);
		
		#$gui->setShowAttributes(array("KategorieID","name"));
		
		$gui->addColStyle($this->targetClassName."ID", "width:18px;");
		
		$gui->setParser($this->targetClassName."ID", "KategorienGUI::IDParser", array("\$".$this->collectionOf."ID", $this->collectionOf,"\$aid", $this->targetClassName));
		
		return $gui->getBrowserHTML(-1);
	}*/
	
	public function __toString(){
		try {
			if($this->ownerClassID == -1) {
				$t = new HTMLTable(1);
				$t->addRow("Sie müssen den Datensatz erst speichern, bevor Sie ".($this->tableLabel != null ? $this-> tableLabel : $this->collectionOf)." eintragen können.");
				return "<div style=\"margin-top:30px;\">".$t->getHTML()."</div>";
			}
			else return "<div style=\"margin-top:30px;\">".$this->getHTML(-1, 0)."</div>";
		} catch (Exception $e){
			print_r($e);
			die();
		}
	}
}
?>