<?php
/*
 *  This file is part of phynx.

 *  phynx is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.

 *  phynx is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *  2007, 2008, 2009, 2010, Rainer Furtmeier - Rainer@Furtmeier.de
 */
class UsersGUI extends Users implements iGUIHTML2{
	public function getHTML($id){

		if($this->A == null) $this->lCV3($id);
		
		$up = new anyC();
		$up->setCollectionOf("User");
		$up->addAssocV3("password","!=",";;;-1;;;");
		$up->lCV3();
		
		if($up->numLoaded() > 0 AND $id == -1) return "
		<table>
			<colgroup>
				<col class=\"backgroundColor3\" />
			</colgroup>
			<tr>
				<td><input onclick=\"rme('Users','','convertPasswords','','reloadRightFrame();');\" type=\"button\" style=\"float:right;background-image:url(./images/navi/keys.png);\" class=\"bigButton backgroundColor2\" value=\"Passwörter\nkonvertieren\" />In Ihrer Datenbank befinden sich noch unkonvertierte Passwörter.</td>
			</tr>
		</table>";
		
		$gui = new HTMLGUI();
		if($this->collector != null) $gui->setAttributes($this->collector);
		$gui->setName("Benutzer");
		$gui->setCollectionOf($this->collectionOf,"Benutzer");
		#$gui->setObject($this);
		$gui->setParser("isAdmin","UsersGUI::isAdminParser");
		$gui->setColWidth("isAdmin","20px");
		#$gui->hideAttribute("password");
		#$gui->hideAttribute("SHApassword");
		#$gui->hideAttribute("language");
		
		$gui->setShowAttributes(array("name","username","isAdmin"));
		
		$g = "";
		
		if(strstr($_SERVER["SCRIPT_FILENAME"],"demo")) {
			$UA = $_SESSION["S"]->getCurrentUser()->getA();
			if($UA->name != "Installations-Benutzer"){
				$g = "In der Demo können keine Benutzer geändert werden!";
				$gui->setIsDisplayMode(true);
			}
		}
		
		return $g.$gui->getBrowserHTML($id);
	}
	
	function doLogin($ps){
		echo parent::doLogin($ps);
		#if($r != "0") echo $r;
		#else echo $r;
	}
	
	function doLogout(){
		$r = parent::doLogout();
	}
	
	public static function isAdminParser($w){
		return $w == 1 ? "<img src=\"./images/i2/ok.gif\" />" : "<img src=\"./images/i2/notok.gif\" />";
	}

	
	public function convertPasswords(){
		$ac = new anyC();
		$ac->setCollectionOf("User");
		$ac->addAssocV3("password","!=",";;;-1;;;");
		
		while($t = $ac->getNextEntry())
			$t->convertPassword();
		
	}
}
?>