/**
 *
 *  This file is part of open3A.

 *  open3A is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.

 *  open3A is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *  2007, 2008, 2009, 2010, Rainer Furtmeier - Rainer@Furtmeier.de
 */
 /*
 function createRechnung(classId,template){
	new Ajax.Request("./interface/rme.php?class="+template+"&constructor="+classId+"&method=createRechnung&parameters=''", {
	method: 'get',
	onSuccess: function(transport) {
		$('Browsernummer'+classId).update("R"+transport.responseText);
		new Ajax.Updater('contentLeft','./interface/loadFrame.php?p=Auftrag&id='+classId);
	}});
}*/

var AuftraegeMessages = {
	E001: "Sie haben keine Berechtigung, eine Rechnung als bezahlt zu markieren!",
	E002: "Keine als aktiv markierten Stammdaten gefunden.",
	
	E003: "Fehler beim E-Mail-Versand!",
	E004: "Keine Kunden-E-Mail eingetragen!",
	E005: "Keine E-Mail-Adresse in den Stammdaten eingetragen!",
	
	E010: "Bitte geben Sie Benutzername und Passwort für den Signaturanbieter an.\nKlicken Sie dazu auf das Einstellungen-Symbol neben dem signieren-Knopf.",
	E011: function(message) {return message;},
	E012: function(message) {return "pixelLetter Antwortet: \n"+message;},
	E013: "Es wurde keine E-Mail-Adresse beim Kunden angegeben",
	E014: "Bitte überprüfen Sie die Absender-Adresse des Benutzers und in den Stammdaten",
	E015: "Bitte überprüfen Sie die E-Mail-Textbausteine für Betreff und Text. Eventuell ist kein Textbaustein als Standard markiert. Überprüfen Sie auch die Einstellungen im Kontextmenü des Symbols rechts neben 'per E-Mail verschicken.'",
	
	E016: "Kundennummer existiert nicht!",

	E017: "Dieser Typ mit dieser Nummer existiert nicht!",
	E018: "Diese Nummer wurde mehr als einmal gefunden!",
	
	A001: "Dieser Beleg kann nicht gelöscht werden, es sind noch Posten eingetragen!",
	A002: "Dieser Auftrag kann nicht gelöscht werden, es sind noch Belege eingetragen!",
	A003: "Dieser Posten kann nicht gelöscht werden, die Rechnung wurde als bezahlt markiert!",
	A004: "Es können keine Posten mehr hinzugefügt werden, die Rechnung wurde als bezahlt markiert!",
	A005: "Es können keine Posten mehr bearbeitet werden, die Rechnung wurde als bezahlt markiert!",
	A006: "Dieser Beleg kann nicht mehr bearbeitet werden, er wurde als bezahlt markiert!",
	
	M001: "E-Mail wurde gesendet",
	M002: "Posten kopiert",
	
	C001: "PDF per Mail verschicken?",
	
	T001: "als bezahlt markieren"
}

var Auftrag = {
	showTeilzahlung: function(cb){
		if(!$('isTeilzahlung')) return;
		
		if($('isTeilzahlung').checked) {
			$('markAsPayedSkonto').style.display = 'none';
			$('GRLBMTeilzahlungenBetragCell').style.display = '';
		} else {
			$('markAsPayedSkonto').style.display = '';
			$('GRLBMTeilzahlungenBetragCell').style.display = 'none';
		}
	},
	
	addFile: function(GRLBMID, fileID){
		rmeP("GRLBM", GRLBMID, "addFile", fileID, "contentManager.loadFrame('subframe', 'GRLBM', "+GRLBMID+", 0)");
	},

	nowSetRechnungPayed: function(imageID, rechnungID){
		rme("GRLBM", rechnungID, "setPayed", new Array('true', $('withSkonto').value, $('withDate').value, (($('isTeilzahlung') && $('isTeilzahlung').checked) ? "true" : "false"), $('isTeilzahlung') ? $('GRLBMTeilzahlungenBetrag').value : ""), "if(checkResponse(transport)) { $('contentLeft').update(''); /*$('"+imageID+"').src = $('"+imageID+"').src.replace(/notok/,\"ok\"); if($('BrowserpayedWithSkonto"+rechnungID+"')) $('BrowserpayedWithSkonto"+rechnungID+"').update(makeString(makeFloat('withSkonto'))+'%');*/ new Ajax.Updater('BrowserMainD"+rechnungID+"','./interface/loadFrame.php?p=Uebersicht&id="+rechnungID+"&type=main'); }");
		contextMenu.stop();
	},

	copyPostenFrom: function(copyFromId, copyToId, copyToType, targetFrame){
		new Ajax.Request("./interface/rme.php?class=GRLBM&constructor="+copyToId+"&method=copyPostenFrom&parameters=\'"+copyFromId+"\'", {
		method: 'get',
		onSuccess: function(transport) {
			if(checkResponse(transport))
				new Ajax.Updater(targetFrame,"./interface/loadFrame.php?p=mGRLBM&id=-2");
		}});
		
		contextMenu.stop();
	},

	copyPostenByTypeAndNumber: function(copyFromNumber, copyFromType, copyToId, targetFrame){
		new Ajax.Request("./interface/rme.php?class=GRLBM&constructor="+copyToId+"&method=copyPostenByTypeAndNumber&parameters=\'"+copyFromNumber+"\','"+copyFromType+"'", {
		method: 'get',
		onSuccess: function(transport) {
			if(checkResponse(transport))
				new Ajax.Updater(targetFrame,"./interface/loadFrame.php?p=mGRLBM&id=-2");
		}});
		
		contextMenu.stop();
	},

	windowMail: function(Aid, mode){
		//if(!confirm(AuftraegeMessages.C001)) return;

		rmeP("Auftrag", Aid, "getViaEMailWindow", mode, "if(checkResponse(transport)) { Popup.create("+Aid+", 'EMailPreview', 'E-Mail Vorschau'); Popup.update(transport, "+Aid+", 'EMailPreview'); }");

	},

	directMail: function(Aid, subject, body){
		if(!confirm(AuftraegeMessages.C001)) return;
		
		rmeP("Auftrag", Aid, "sendViaEmail", [subject, body], "if(checkResponse(transport) && $('GRLBM1xEMail')) $('GRLBM1xEMail').value = '';");

		/*new Ajax.Request("./interface/rme.php?bps=_Brief;templateType:Email&class=Auftrag&constructor="+Aid+"&method=sendViaEmail&parameters=", {
		method: 'get',
		onSuccess: function(transport) {
			
		}});*/
	},

	plSign: function(id, subject, body){
		if(!confirm('Soll diese Rechnung qualifiziert digital signiert werden?\nAchtung: dadurch entstehen Kosten.')) return;
		rmeP('Auftrag',id,'signLetter',[subject, body],'checkResponse(transport); if($("GRLBM1xEMail")) $("GRLBM1xEMail").value = "";')
	},

	addToMultiPrint: function(id){
		//loadFrameV2("contentLeft","multiPrintBasket","_multiPrintBasketGUI;_ids:"+id);
		//contentManager.loadFrame('', '', '', 0, "_multiPrintBasketGUI;_ids:"+id);
		rmeP("multiPrintBasket", "", "emptyList", "", "", "_multiPrintBasketGUI;_ids:"+id);
		if($('subID'+id)) $('subID'+id).style.display = 'block';
		if($('addID'+id)) $('addID'+id).style.display = 'none';
	},

	subFromMultiPrint: function(id){
		//loadFrameV2("contentLeft","multiPrintBasket","_multiPrintBasketGUI;-ids:"+id);
		//contentManager.loadFrame('', '', '', 0, "_multiPrintBasketGUI;-ids:"+id);
		rmeP("multiPrintBasket", "", "emptyList", "", "", "_multiPrintBasketGUI;-ids:"+id);
		if($('subID'+id)) $('subID'+id).style.display = 'none';
		if($('addID'+id)) $('addID'+id).style.display = 'block';
	}
		
}

/*function plSign(id){
	if(!confirm('Soll diese Rechnung qualifiziert digital signiert werden?\nAchtung: dadurch entstehen Kosten.')) return;
	rme('Auftrag',id,'signLetter','','checkResponse(transport); if($("GRLBM1xEMail")) $("GRLBM1xEMail").value = "";')
}*/


function setRechnungPayed(image, rechnungID){
	if(image.src.search(/notok/) > -1)
		contextMenu.start(image, 'GRLBM','setPayed:'+image.id+":"+rechnungID, AuftraegeMessages.T001+':');
	
	else
		rme("GRLBM", rechnungID, "setPayed", new Array('false'), "if(checkResponse(transport)) new Ajax.Updater('BrowserMainD"+rechnungID+"','./interface/loadFrame.php?p=Uebersicht&id="+rechnungID+"&type=main'); $('contentLeft').update('');");
}
/*
function addToList(bps){
	rme('multiPrintBasket', '', 'addToList', '', "contentManager.loadFrame('editDetailsContentmultiPrintBasket','multiPrintBasket');",bps);
}*/

function updateEKs(toID){
	if($('EK2dID'+toID)) $('EK2dID'+toID).value = makeString(makeFloat('mengeID'+toID) * makeFloat('EK2ID'+toID));
	if($('EK1dID'+toID)) $('EK1dID'+toID).value = makeString(makeFloat('mengeID'+toID) * makeFloat('EK1ID'+toID));
	if($('VKID'+toID)) $('VKID'+toID).value = makeString(makeFloat('mengeID'+toID) * makeFloat('preisID'+toID));
}

function addToMultiPrintAusAuftrag(id){
	rmeP("multiPrintBasket", "", "emptyList", "", "", "_multiPrintBasketGUI;_ids:"+id);
	//loadFrameV2("","","_multiPrintBasketGUI;_ids:"+id);
	if($('GRLBMAddToMultiPrintList')) $('GRLBMAddToMultiPrintList').style.display = "none";
	if($('GRLBMSubFromMultiPrintList')) $('GRLBMSubFromMultiPrintList').style.display = "";
	if($('subID'+id)) $('subID'+id).style.display = 'block';
	if($('addID'+id)) $('addID'+id).style.display = 'none';
}

function subFromMultiPrintAusAuftrag(id){
	//loadFrameV2("","","_multiPrintBasketGUI;-ids:"+id);
	rmeP("multiPrintBasket", "", "emptyList", "", "", "_multiPrintBasketGUI;-ids:"+id);
	if($('GRLBMAddToMultiPrintList')) $('GRLBMAddToMultiPrintList').style.display = "";
	if($('GRLBMSubFromMultiPrintList')) $('GRLBMSubFromMultiPrintList').style.display = "none";
	if($('subID'+id)) $('subID'+id).style.display = 'none';
	if($('addID'+id)) $('addID'+id).style.display = 'block';
}
/*
function markListAsPrinted(){
	rme('multiPrintBasket', '', 'markListAsPrinted', '', "loadFrameV2('contentLeft','multiPrintBasket');");
}
*/
/*
function emptyList(){
	rme('multiPrintBasket', '', 'emptyList', '', "loadFrameV2('contentLeft','multiPrintBasket');",'multiPrintBasketGUI;-');
}
*/
/*
function addToMultiPrint(id){
	loadFrameV2("contentLeft","multiPrintBasket","_multiPrintBasketGUI;_ids:"+id);
	if($('subID'+id)) $('subID'+id).style.display = 'block';
	if($('addID'+id)) $('addID'+id).style.display = 'none';
}*/

/*function subFromMultiPrint(id){
	loadFrameV2("contentLeft","multiPrintBasket","_multiPrintBasketGUI;-ids:"+id);
	if($('subID'+id)) $('subID'+id).style.display = 'none';
	if($('addID'+id)) $('addID'+id).style.display = 'block';
}*/

function makeFloat(fieldId){
	return parseFloat($(fieldId).value.replace(".","").replace(",","."));
}

function makeString(floatt){
	var string = ((Math.round(floatt * 100) / 100)+"").replace(".",",");
	if(string.indexOf(",") == -1) string += ",00";
	if(string.length - string.indexOf(",") == 2) string += "0";
	return string;
}

function calculateKalk(){
	var list = new Array();
	var es = $("mPostenForm").elements;
	
	var EK1Sum = 0;
	var EK2Sum = 0;
	var VKSum = 0;

	for(i = 0;i < es.length;i++) {
		if(es[i].id.indexOf("beschreibungID") >= 0)
			list.push(es[i].id.replace("beschreibungID",""));
	}
	
	for(i = 0;i < list.length;i++){
		if($('PostenDisplayD'+list[i]+"1").style.display == "none") continue;
		VKSum += makeFloat('mengeID'+list[i]) * makeFloat('preisID'+list[i]);
		if($('EK1ID'+list[i])) EK1Sum += makeFloat('mengeID'+list[i]) * makeFloat('EK1ID'+list[i]);
		if($('EK2ID'+list[i])) EK2Sum += makeFloat('mengeID'+list[i]) * makeFloat('EK2ID'+list[i]);
	}
	
	if($('gesamtVK')) $('gesamtVK').update(makeString(VKSum)+"€");
	if($('gesamtEK1')) $('gesamtEK1').update(makeString(EK1Sum)+"€");
	if($('gesamtEK2')) $('gesamtEK2').update(makeString(EK2Sum)+"€");
	
	if($('rabatt')) var rabatt = VKSum * makeFloat("rabatt") / 100;
	if($('rabattInW'))
		if(makeFloat('rabattInW') == 0) VKSum = VKSum - rabatt;
		else VKSum = VKSum - makeFloat('rabattInW');
		
	if($('gesamtVK2')) $('gesamtVK2').update(makeString(VKSum)+"€");
	if($('rabattInP')) $('rabattInP').update(makeString(rabatt)+"€");
	if($('rabattInW2')) $('rabattInW2').update(makeString(makeFloat("rabattInW"))+"€");
	
	if($('VKEK1')) $('VKEK1').update(makeString(VKSum - EK1Sum)+"€");
	if($('VKEK2')) $('VKEK2').update(makeString(VKSum - EK2Sum)+"€");
	if($('leasingrate2')) $('leasingrate2').update(makeString(VKSum * makeFloat("leasingrate") / 100)+"€");
	
	if($('servicepolice1K')) $('servicepolice1K').update(makeString(EK2Sum * makeFloat("servicepolice1") / 100)+"€");
	if($('servicepolice2K')) $('servicepolice2K').update(makeString(EK2Sum * makeFloat("servicepolice2") / 100)+"€");
	if($('servicepolice3K')) $('servicepolice3K').update(makeString(EK2Sum * makeFloat("servicepolice3") / 100)+"€");

}

/*function directMail(copy, Aid, parentClass){
	if(!confirm(AuftraegeMessages.C001)) return;
	new Ajax.Request("./interface/rme.php?bps=_Brief;templateType:Email&class="+parentClass+"&constructor="+Aid+"&method=sendViaEmail&parameters=", {
	method: 'get',
	onSuccess: function(transport) {
		if(checkResponse(transport) && $('GRLBM1xEMail')) $('GRLBM1xEMail').value = "";
	}});
}*/

function createGRLBM(classId, template, type){
 	if($(type+'Button').name == "2"){
  		loadFrameV2('subframe','mGRLBM','mGRLBMGUI;type:'+type+';AuftragID:'+classId);
  		return;
 	}
	new Ajax.Request("./interface/rme.php?class="+template+"&constructor="+classId+"&method=createGRLBM&rand="+Math.random()+"&parameters='"+type+"'", {
	method: 'get',
	onSuccess: function(transport) {
		if(!checkResponse(transport)) return;
		
		$(type+'Button').name = "2";
		$(type+'Button').value = $(type+'Button').value.replace(/erstellen/,"anzeigen");
		if(type == "R") {
			$("LRow").style.display = "";
			$("GRow").style.display = "";
		}
		if(transport.responseText.indexOf("Fatal") > 0) alert(transport.responseText);
 		loadFrameV2('subframe','mGRLBM','mGRLBMGUI;type:'+type+';AuftragID:'+classId);
 		reloadRightFrame();
	}});
}

function directPrint(copy, Aid, parentClass, type){
	new Ajax.Request("./interface/rme.php?bps=_Brief;templateType:Print&class="+parentClass+"&constructor="+Aid+"&method=printLetter&parameters=\'"+copy+"\','"+type+"'", {
	method: 'get',
	onSuccess: function(transport) {
		if(transport.responseText == "-1") {
			showMessage("Kein Standarddrucker!");
		}
		else showMessage("Druckauftrag wird ausgeführt.");
	}});
}
