<?php
/*
 *  This file is part of open3A.

 *  open3A is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.

 *  open3A is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *  2007, 2008, 2009, 2010, Rainer Furtmeier - Rainer@Furtmeier.de
 */
class KategorieGUI extends Kategorie implements iGUIHTML2 {
	function getHTML($id){
		$Ks = new KategorienGUI();
		
		$merge = $Ks->getAvailableCategories(false);

		#if($this->A == null AND $id != -1) 
		$this->loadMeOrEmpty();
		#if($id == -1) $this->A = new KategorieAttributes();

		$gui = new HTMLGUI();
		$gui->setObject($this);
		$gui->setName("Kategorie");

		$gui->setLabel("type","Typ");
		
		$values = array_values($merge);
		$keys = array_keys($merge);
		
		$gui->setOptions("type",$values,$keys);
		$gui->setType("type","select");
		
		$gui->hideAttribute("parentID");
		
		$gui->setStandardSaveButton($this);
		#setSaveButtonValues(get_parent_class($this),$this->ID,"Kategorien");

		return $gui->getEditHTML();
	}
}
?>