<?php
/*
 *  This file is part of open3A.

 *  open3A is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.

 *  open3A is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *  2007, 2008, 2009, 2010, Rainer Furtmeier - Rainer@Furtmeier.de
 */
class Kategorien extends anyC {
	#private $kategorien = array();

	function __construct() {
		$this->setCollectionOf("Kategorie");
	}

	public function addKategorie($name,$typeName){
		if(!isset($_SESSION[$_SESSION["applications"]->getActiveApplication()]["kategorien"]))
			$_SESSION[$_SESSION["applications"]->getActiveApplication()]["kategorien"] = array();
			
		$_SESSION[$_SESSION["applications"]->getActiveApplication()]["kategorien"][$name] = $typeName;
	}

	public function getArrayWithKeys(){
		if($this->A == null) $this->lCV3();
		
		$keys = array();
		
		for($i=0;$i < count($this->collector);$i++){
			$keys[] = $this->collector[$i]->getID();
		}
		
		return $keys;
	}
	
	public function getArrayWithValues(){
		if($this->A == null) $this->lCV3();
		$values = array();
		
		for($i=0;$i < count($this->collector);$i++){
			$A = $this->collector[$i]->getA();
			$values[] = $A->name;
		}
		return $values;
	}
	
	public function getArrayWithKeysAndValues(){
		$kv = array();
		$kv[0] = "-";
		if($this->A == null) $this->lCV3();
		
		for($i=0;$i < count($this->collector);$i++){
			$A = $this->collector[$i]->getA();
			$kv[$this->collector[$i]->getID()] = $A->name;
		}
		
		return $kv;
	}
}
?>
