<?php
/*
 *  This file is part of open3A.

 *  open3A is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.

 *  open3A is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *  2007, 2008, 2009, 2010, Rainer Furtmeier - Rainer@Furtmeier.de
 */
class Textbaustein extends PersistentObject implements iCloneable, iNewWithValues, iDeletable {

	function getA(){
		if($this->A == null) $this->loadMe();
		return $this->A;
	}

	public function cloneMe(){
		echo $this->newMe();
	}
	
	public static function getTextOf($ID){
		$T = new Textbaustein($ID);
		if($T->getA() != null) return ($ID == 0 ? "" : $T->getA()->text);
		else return "";
	}
	
	public static function getFakeTextbaustein($text){
		$T = new TextbausteinGUI(-1);
		$TA = $T->newAttributes();
		$TA->text = $text != "0" ? $text : "";
		$T->setA($TA);
		
		return $T;
	}
	
}
?>
